package com.example.catchme;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

public class HomeActivity extends AppCompatActivity {




    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Intent getGameParemeterActivity = getIntent();


        //if there are some data in it then
        if(getGameParemeterActivity.getExtras()!=null){
            typeNickname(getGameParemeterActivity);
        }



    }

    public void gameP(View v){
        Intent i =new Intent(this, GameParameterActivity.class);
        startActivityForResult(i, 4);
    }


    public void typeNickname(Intent intent){

        intent = getIntent();
        String nickname =intent.getStringExtra("nickname");
        TextView nicknameTextView = findViewById(R.id.nickname);




        String s="...";


        SharedPreferences information = PreferenceManager.getDefaultSharedPreferences(this);
        String score = information.getString("score", "");
        String nicknameFromScore = information.getString("nickname", "");


        Button play = findViewById(R.id.playbutton);
        play.setText("PLAY ANONYM");

        if(!nicknameFromScore.equals("")){
            s = nicknameFromScore +" Score : "+score;
            play.setText("PLAY");
        }


        if(nickname!=null){
            s = nickname +" will play ...";
            play.setText("PLAY");
        }


        nicknameTextView.setText(s);

    }



    public void play(View view){
        Intent getGameParemeterActivity = getIntent();


        Intent gameActivity = new Intent(this, GameActivity.class);
        //Intent gameParametrsActivity = new Intent(this, GameParameterActivity.class);
        //send data to play activity

        if(getGameParemeterActivity.getExtras().size() >1 ){
            Log.i("infor", getGameParemeterActivity.getExtras().toString());
            gameActivity.putExtra("nickname", getGameParemeterActivity.getStringExtra("nickname").toString());
            gameActivity.putExtra("target", getGameParemeterActivity.getStringExtra("target").toString());
            gameActivity.putExtra("hunter", getGameParemeterActivity.getStringExtra("hunter").toString());
            gameActivity.putExtra("result", getGameParemeterActivity.getStringExtra("result").toString());
            gameActivity.putExtra("sound", getGameParemeterActivity.getStringExtra("sound").toString());
           // startActivityForResult(gameActivity,2);


        }else{
            gameActivity.putExtra("nickname", "unknown");
            gameActivity.putExtra("target", "Mouse");
            gameActivity.putExtra("hunter", "Cat");
            gameActivity.putExtra("result", "Blood");
            gameActivity.putExtra("sound", "Bip");
            /*Intent gameparamsActivity = new Intent(this, GameParameterActivity.class);
            startActivityForResult(gameparamsActivity,200);*/

        }
        startActivityForResult(gameActivity,2);



    }



    public void quit(View view){
        finish();
    }
}