package com.example.catchme;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.TextView;

public class ScoreActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_score);

        Intent game = getIntent();

        TextView nickname = findViewById(R.id.nickname);
        nickname.setText(game.getStringExtra("nickname"));

        TextView score = findViewById(R.id.score);
        score.setText(game.getStringExtra("score"));


        SharedPreferences sharedPref = PreferenceManager.getDefaultSharedPreferences(this);
        SharedPreferences.Editor editor = sharedPref.edit();
        editor.putString("score",  game.getStringExtra("score"));
        editor.putString("nickname",  game.getStringExtra("nickname"));
        editor.apply();
    }

    public void tryAgain(View view){
        //get params from gameactivity
        Intent getGameParemeterActivity = getIntent();





        Intent gameActivity = new Intent(this, GameActivity.class);
        /*gameActivity.putExtra("nickname", getGameParemeterActivity.getStringExtra("nickname").toString());
        gameActivity.putExtra("target", getGameParemeterActivity.getStringExtra("target").toString());
        gameActivity.putExtra("hunter", getGameParemeterActivity.getStringExtra("hunter").toString());
        gameActivity.putExtra("result", getGameParemeterActivity.getStringExtra("result").toString());
        gameActivity.putExtra("sound", getGameParemeterActivity.getStringExtra("sound").toString());*/
        startActivityForResult(gameActivity, 123);

    }
}